extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de formas de pago"
    - var CabeceraListado = ["Forma pago", "Descripción"]
    - var CantidadListado = "{{ tFormapagos.length }}"
    - var TituloDatos = "Detalles de la Forma pago"
    - var TamanoColeccion = "tFormapagos.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tFormapagoFor of tFormapagos | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Formapago_Eliminar(tFormapagoFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Formapago(tFormapagoFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs {{ tFormapagoFor.Codformapago }}
        td
            h6.text-xs.text-nowrap {{ tFormapagoFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-formas-de-pago-cabecera([(FormaDePago)]="tFormaPagoActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
        li.nav-item
          a(data-toggle="tab",
              href="#Sistemas",
              role="tab",
              aria-controls="Sistemas",
              aria-selected="true").nav-link Sistemas
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-formas-de-pago-informacion([(FormaDePado)]="tFormaPagoActual")
        div(role="tabpanel", aria-labelledby="Sistemas-tab").tab-pane.fade#Sistemas
          app-fw-formas-de-pago-sistemas([(FormaDePado)]="tFormaPagoActual")
